> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List mappers for an identity provider

> List all claim/attribute mappers for an identity provider.



## OpenAPI

````yaml get /api/identity-providers/{alias}/mappers
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/identity-providers/{alias}/mappers:
    get:
      tags:
        - Identity providers
      summary: List mappers for an identity provider
      description: List all claim/attribute mappers for an identity provider.
      operationId: list_mappers_api_identity_providers__alias__mappers_get
      parameters:
        - name: alias
          in: path
          required: true
          schema:
            type: string
            title: Alias
      responses:
        '200':
          description: Identity provider mappers.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IdpMapperConfig'
                title: >-
                  Response List Mappers Api Identity Providers  Alias  Mappers
                  Get
        '403':
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    IdpMapperConfig:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Mapper ID. It's set by Keycloak and omits on create.
        name:
          type: string
          title: Name
          description: Mapper name. For example, `email-mapper`.
        identity_provider_mapper:
          type: string
          title: Identity Provider Mapper
          description: >-
            Mapper type. For example, `oidc-user-attribute-idp-mapper` or
            `saml-user-attribute-idp-mapper`.
        config:
          additionalProperties: true
          type: object
          title: Config
          description: >-
            Mapper config. It's keys vary by mapper types, such as `syncMode`,
            `claim`, or `user.attribute`.
      type: object
      required:
        - name
        - identity_provider_mapper
      title: IdpMapperConfig
      description: A single IdP mapper for claim or attribute mapping.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````